-- 基础信息
base_info = {
	group_id = 199001020
}

-- Trigger变量
defs = {
	prepare_region = 20002,
	prepare_point = 20003,
	prepare_airwall = 20001,
	optimize_region = 20004
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 20001, gadget_id = 70380323, pos = { x = 134.079, y = 120.000, z = 356.912 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 20, area_id = 402 }
}

-- 区域
regions = {
	{ config_id = 20002, shape = RegionShape.POLYGON, pos = { x = 134.217, y = 120.064, z = 356.248 }, height = 40.128, point_array = { { x = 140.313, y = 349.099 }, { x = 128.652, y = 348.942 }, { x = 128.122, y = 363.002 }, { x = 139.955, y = 363.554 } }, area_id = 402 },
	{ config_id = 20004, shape = RegionShape.POLYGON, pos = { x = -218.759, y = 198.720, z = 32.323 }, height = 202.560, point_array = { { x = 193.515, y = 246.751 }, { x = 187.099, y = 493.411 }, { x = -112.529, y = 509.663 }, { x = -367.518, y = 305.170 }, { x = -546.471, y = 71.835 }, { x = -631.032, y = -371.642 }, { x = -333.720, y = -445.016 }, { x = -259.349, y = -285.779 }, { x = -194.791, y = -18.698 }, { x = -45.628, y = 107.330 } }, area_id = 403 }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 20003, pos = { x = 134.754, y = 120.000, z = 356.678 }, rot = { x = 0.000, y = 268.304, z = 0.000 }, area_id = 402 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 20002, 20004 },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_8/SocialActivity_PrepareControl"
require "V2_8/SocialActivity_Optimization"
